Subject: Re: bug#48707: outline not distinguishing between levels well enough

From: Juri Linkov <[email-masked]>
Date: Fri, 28 May 2021 01:44:36 +0300

> outline is supposed to highlight the eight different heading levels in a way that
> is easy to distinguish between them.  I do not see such a capability at this time.
>
> Settings up different colours is also quite complicated and confusing.  I have originally
> discussed this on "[email-masked]", who encouraged me to send a bug report.
>
> I do not get different heading colours for the three heading levels below.
> Philip has mentioned the possibility that the wrong face is being applied.
>
> --------- test.el --------
>
> ;;; * heading 1
> ;; comments
> ;;;; ** subheading 1.1
> ;; comments
> ;;;;; *** subsubheading 1.1.1
> ;; comments

Thank you very much for the bug report.  This is really a bug
that should be fixed by the following patch:

diff --git a/lisp/outline.el b/lisp/outline.el
index fa7c1a27d9..3eb3e21036 100644
--- a/lisp/outline.el
+++ b/lisp/outline.el
@@ -205,7 +205,8 @@ outline-font-lock-keywords
                                  (list 'face (outline-font-lock-face)
                                        'keymap outline-mode-cycle-map)
                                (list 'face nil
-                                     'keymap outline-mode-cycle-map)))
+                                     'keymap outline-mode-cycle-map))
+                           (list 'face (outline-font-lock-face)))
                        (outline-font-lock-face))
                   (when outline-minor-mode
                     (pcase outline-minor-mode-highlight